/*********************************************************************

 Author        : Kevin Peterson

 Date          : Jan. 2008

 File          : Natcar.c

 Hardware      : Applicable to ADuC7020

 Description   : Starting code for EE192, contains basic Hello World code for serial port
 					Look at the Timer sample code for blinking an LED

		
*********************************************************************/
#include <ADuC7026.h>

extern int write (int file, char * ptr, int len);	// Functions used to 
extern int getchar (void);							// to output data 	 
extern int putchar (int);                     		// Write character to Serial Port

void Serial_Setup(void); 

void IRQ_Handler(void) __irq;
void FIQ_Handler(void) __fiq;

int main (void)  {

	char message[13] = "Hello World\n";

	Serial_Setup();
	
	write(0,message,13);


	while (1)
	{
	}				
}

/********************************************************************/
/*                                                                  */
/*		Interrupt Service Rountine									*/
/*                                                                  */
/********************************************************************/

void IRQ_Handler() __irq
{				


} 

 
void FIQ_Handler(void) __fiq
{


}


//Basic setup to transmit serial characters at 9600 Baud
//Taken from the UART sample code
void Serial_Setup(void)
{
	// Setup tx & rx pins on P1.0 and P1.1
	GP1CON = 0x011;

   	// Start setting up UART at 9600bps
   	COMCON0 = 0x080;				// Setting DLAB
   	COMDIV0 = 0x088;				// Setting DIV0 and DIV1 to DL calculated
   	COMDIV1 = 0x000;
   	COMCON0 = 0x007;				// Clearing DLAB

}
